package com.mycompany.modularprey;

import cz.cuni.amis.pogamut.sposh.context.UT2004Context;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;

/**
 * Sense for collision of bot with geometry of the level.
 * @author Honza
 */
@PrimitiveInfo(name = "seePlayer", description = "Do I see a player?")
public class SeePlayer extends StateSense<UT2004Context, Boolean> {

    public SeePlayer(UT2004Context ctx) {
        super("seePlayer", ctx);
    }

    @Override
    public Boolean query(VariableContext params) {        
        return ctx.getPlayers().canSeePlayers();        
    }
}
